# $Revision: 1.3 $, $Date: 2006/12/16 22:39:16 $
#
# Conditional build:
%bcond_without	pthread		# POSIX threads support
#
Summary:	libgadu library
Summary(es):	Biblioteca libgadu
Summary(pl):	Biblioteka libgadu
Name:		libgadu
Version:	1.7.0
Release:	1
Epoch:		4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.gz
# Source0-md5:	152180afbbad584017592a3021aac97a
URL:		http://toxygen.net/libgadu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
Obsoletes:	libgg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l de
Mit libgadu ist es Ihnen mglich auf einfache Weise Gadu-Gadu
Kommunikations-Untersttzung in Ihre Software einzubinden.

%description -l es
libgadu est pensada para facilitar aadirle comunicacin va
Gadu-Gadu a su software.

%description -l pl
libgadu umoliwia atwe dodanie do rnych aplikacji komunikacji
bazujcej na protokole Gadu-Gadu.

%package devel
Summary:	libgadu development library
Summary(es):	Biblioteca de desarrollo de libgadu
Summary(pl):	Cz biblioteki libgadu dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openssl-devel
Obsoletes:	libgg-devel

%description devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description devel -l de
Das libgadu-devel Paket enthlt Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie bentigen um mit libgadu Anwendungen zu
entwickeln.

%description devel -l es
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentacin, necesarios para desarrollar aplicaciones que usar
libgadu.

%description devel -l pl
Pakiet libgadu-devel zawiera pliki nagwkowe i dokumentacj,
potrzebne do kompilowania aplikacji korzystajcych z libgadu.

%package static
Summary:	Static libgadu library
Summary(es):	Biblioteca libgadu esttica
Summary(pl):	Statyczna biblioteka libgadu
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libgg-static

%description static
Static libgadu library.

%description static -l de
Statisches libgadu Archiv.

%description static -l es
Biblioteca libgadu esttica.

%description static -l pl
Statyczna biblioteka libgadu.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dynamic \
	--enable-shared \
	--enable-static \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
	--without-bind
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.*.*

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_pkgconfigdir}/libgadu.pc

%files -n libgadu-static
%defattr(644,root,root,755)
%{_libdir}/libgadu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgadu.spec,v $
Revision 1.3  2006/12/16 22:39:16  areq
- typo

Revision 1.2  2006/11/05 01:45:47  qboosh
- simplified

Revision 1.1  2006/10/26 09:26:18  gotar
- initial PLD release
